Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditEventHandlerContextImpl

    java.lang.Object
      oracle.ifs.core.util.AuditEventHandlerContextImpl

All Implemented Interfaces:
  AuditEventHandlerContext

    public class AuditEventHandlerContextImpl

extends java.lang.Object
implements AuditEventHandlerContext

Implements a basic implemenation of the AuditEventHandlerContext interface.

Constructor Summary
`AuditEventHandlerContextImpl(AuditSpecification auditSpec)` Constructs an AuditEventHandlerContextImpl.

Method Summary
`LibrarySession` | `acquireAuxiliarySession()` Acquires an additional session context to use for processing.
`AuditSpecification` | `getAuditSpecification()` Returns the custom Audit Specification corresponding to the "Audit History" associated with this handler, indicating where the AuditEvents are posted.
`java.lang.Long` | `getAuditSpecificationId()` Returns the custom Audit Specification ID corresponding to the "Audit History" associated with this handler, indicating where the AuditEvents are posted.
`AttributeValue` | `getHandlerProperty(java.lang.String key)` Gets a property of the custom Audit Specification by its property name.
`LibrarySession` | `getLibrarySession()` Returns the session context to use for processing.
`long` | `getMinimumDispatchedEventId()` Returns the minimum event ID encountered when AuditEvents were last dispatched in the handler.
`long` | `getNextSequenceId()` Returns the next sequence ID value that would have been leveraged for a new Object created in the repository.
`AttributeValue` | `getNodeProperty(java.lang.String key)` Gets a property of the running Node context.
`AttributeValue` | `getServerProperty(java.lang.String key)` Gets a property of the running Server context.
`boolean` | `isDeactivated()` Determines whether a deactivation has occurred for this handler, indicated that it should complete processing the current operation as soon as possible.
`void` | `purgeEvent(AuditEvent event)` Purges an AuditEvent from its audit history.
`void` | `purgeEvents(AuditEvent[] events)` Purges a set of AuditEvents from their audit histories.
`void` | `removeHandlerProperty(java.lang.String key)` Removes a property of the custom Audit Specification by its property name.
`void` | `restartAuditEventHandler()` Causes a reset of the handler settings.
`void` | `setDomainId(long domainId)` Sets the Domain that should be used while processing an AuditEvent.
`void` | `setHandlerProperty(java.lang.String key, AttributeValue value)` Sets a property of the custom Audit Specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventHandlerContextImpl

    public AuditEventHandlerContextImpl(AuditSpecification auditSpec)
                                 throws IfsException

  Constructs an AuditEventHandlerContextImpl.

  Parameters:
    `auditSpec` - the AuditSpecification to process
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getLibrarySession

    public LibrarySession getLibrarySession()

  Description copied from interface: `AuditEventHandlerContext`
  Returns the session context to use for processing.

  Specified by:
    `getLibrarySession` in interface `AuditEventHandlerContext`
  Returns:
    the session context to use for processing

### acquireAuxiliarySession

    public LibrarySession acquireAuxiliarySession()
                                           throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Acquires an additional session context to use for processing.

  Specified by:
    `acquireAuxiliarySession` in interface `AuditEventHandlerContext`
  Returns:
    the new session context
  Throws:
    `IfsException` - if the operation fails

### getAuditSpecificationId

    public java.lang.Long getAuditSpecificationId()

  Description copied from interface: `AuditEventHandlerContext`
  Returns the custom Audit Specification ID corresponding to the "Audit History" associated with this handler, indicating where the AuditEvents are posted.

  Use this ID when using `AuditingUtilities.searchAuditHistory` to find AuditEvents that have occurred that are of interest to this handler.

  Specified by:
    `getAuditSpecificationId` in interface `AuditEventHandlerContext`
  Returns:
    the ID of the Audit Specification

### getAuditSpecification

    public AuditSpecification getAuditSpecification()
                                             throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Returns the custom Audit Specification corresponding to the "Audit History" associated with this handler, indicating where the AuditEvents are posted.

  Specified by:
    `getAuditSpecification` in interface `AuditEventHandlerContext`
  Returns:
    the Audit Specification
  Throws:
    `IfsException` - if the operation fails

### getHandlerProperty

    public AttributeValue getHandlerProperty(java.lang.String key)
                                      throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Gets a property of the custom Audit Specification by its property name.

  Specified by:
    `getHandlerProperty` in interface `AuditEventHandlerContext`
  Parameters:
    `key` - the Audit Specification property key
  Returns:
    the property value, or null if not defined
  Throws:
    `IfsException` - if the operation fails

### setHandlerProperty

    public void setHandlerProperty(java.lang.String key,
                                   AttributeValue value)
                            throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Sets a property of the custom Audit Specification.

  Specified by:
    `setHandlerProperty` in interface `AuditEventHandlerContext`
  Parameters:
    `key` - the Audit Specification property key
    `value` - the Audit Specification property value
  Throws:
    `IfsException` - if the operation fails

### removeHandlerProperty

    public void removeHandlerProperty(java.lang.String key)
                               throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Removes a property of the custom Audit Specification by its property name.

  Specified by:
    `removeHandlerProperty` in interface `AuditEventHandlerContext`
  Parameters:
    `key` - the Audit Specification property key
  Throws:
    `IfsException` - if the operation fails

### getServerProperty

    public AttributeValue getServerProperty(java.lang.String key)
                                     throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Gets a property of the running Server context.

  Specified by:
    `getServerProperty` in interface `AuditEventHandlerContext`
  Parameters:
    `key` - the Server property key
  Returns:
    the property value, or null if not defined
  Throws:
    `IfsException` - if the operation fails

### getNodeProperty

    public AttributeValue getNodeProperty(java.lang.String key)
                                   throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Gets a property of the running Node context.

  Specified by:
    `getNodeProperty` in interface `AuditEventHandlerContext`
  Parameters:
    `key` - the Node property key
  Returns:
    the property value, or null if not defined
  Throws:
    `IfsException` - if the operation fails

### setDomainId

    public void setDomainId(long domainId)
                     throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Sets the Domain that should be used while processing an AuditEvent.

  By default, this is the default Domain. In a multi-Domain instance, this must be set to the ID of the Domain for the AuditEvent that is being processed, because an AuditEventHandler will be invoked for Events that have occurred in any Domain in the instance.

  A value of zero for the Domain ID will effectively clear the previously established Domain context.

  Specified by:
    `setDomainId` in interface `AuditEventHandlerContext`
  Parameters:
    `domainId` - the ID of the Domain to use while processing an Event or zero to clear the previously established Domain context
  Throws:
    `IfsException` - if the operation fails

### restartAuditEventHandler

    public void restartAuditEventHandler()
                                  throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Causes a reset of the handler settings.

  Specified by:
    `restartAuditEventHandler` in interface `AuditEventHandlerContext`
  Throws:
    `IfsException` - if the operation fails

### purgeEvent

    public void purgeEvent(AuditEvent event)
                    throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Purges an AuditEvent from its audit history.

  Specified by:
    `purgeEvent` in interface `AuditEventHandlerContext`
  Parameters:
    `event` - the AuditEvent to purge
  Throws:
    `IfsException` - if the operation fails

### purgeEvents

    public void purgeEvents(AuditEvent[] events)
                     throws IfsException

  Description copied from interface: `AuditEventHandlerContext`
  Purges a set of AuditEvents from their audit histories.

  Specified by:
    `purgeEvents` in interface `AuditEventHandlerContext`
  Parameters:
    `events` - the AuditEvents to purge
  Throws:
    `IfsException` - if the operation fails

### isDeactivated

    public boolean isDeactivated()

  Description copied from class: `AuditEventHandlerContextImpl`
  Determines whether a deactivation has occurred for this handler, indicated that it should complete processing the current operation as soon as possible.

  Specified by:
    `isDeactivated` in interface `AuditEventHandlerContext`
  Returns:
    true if the handler has been deactivated

### getNextSequenceId

    public long getNextSequenceId()
                           throws IfsException

  Description copied from class: `AuditEventHandlerContextImpl`
  Returns the next sequence ID value that would have been leveraged for a new Object created in the repository. This ID can be used as a high water mark when processing batches of Items.

  Specified by:
    `getNextSequenceId` in interface `AuditEventHandlerContext`
  Returns:
    the ID of the next Item that will be created
  Throws:
    `IfsException` - if the operation fails

### getMinimumDispatchedEventId

    public long getMinimumDispatchedEventId()
                                     throws IfsException

  Description copied from class: `AuditEventHandlerContextImpl`
  Returns the minimum event ID encountered when AuditEvents were last dispatched in the handler.

  Specified by:
    `getMinimumDispatchedEventId` in interface `AuditEventHandlerContext`
  Returns:
    the minimum dispatched event ID
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD